Subject: Switch / Ecom_Payment_Card_IssueNumber
From: Eastlake III Donald-LDE008 <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 27 Nov 2002 14:07:14 -0500
List-Id: <ietf-trade.lists.elistx.com>

See messages below from Ray Bellis forwarded with his permission.

Thanks,
Donald
========================================================
Donald E. Eastlake 3rd, Motorola,
MS: M2-450, 20 Cabot Boulevard, Mansfield, MA 02048 USA
[email-masked], 1-508-851-8280
Two-way-pager: 1-888-809-4679

-----Original Message-----
From: Ray Bellis [mailto:[email-masked]]
Sent: Wednesday, November 27, 2002 12:35 PM
To: Eastlake III Donald-LDE008
Subject: Suggestion for ECML draft?

Dear Donald,

TS.com has some payment services software roughly conforming to ECML 1.1
as described by RFC3106 (albeit based on the now obsolete www.ecml.org
specifications rather than the RFC which we weren't aware of at the
time).

One "issue" we have (if you will exclude the pun) is that in the UK
there is a major acquirer called "Switch" whose cards have an "issue
number" (typically one or two digits) which we are required to include
in the X.25 card authorisation message sent to our bank.

In earlier versions we've (mis-)used the
"Ecom_Payment_Card_Verification" field to support this data, but now
that we need to actually support VISA CVV2 this option is no longer
available.

I therefore suggest that ECML should include a new
"ECom_Payment_Card_IssueNumber" field which can be officially used to
support this.

kind regards,

Ray Bellis

--
Ray Bellis, MA(Oxon) - Technical Director
community internet plc - ts.com Ltd

Windsor House, 12 High Street, Kidlington, Oxford, OX5 2PJ
tel:  +44 1865 856000   email: [email-masked]
fax:  +44 1865 856001     web: http://www.community.net.uk/

----Original Message-----
From: Ray Bellis [mailto:[email-masked]]
Sent: Wednesday, November 27, 2002 1:04 PM
To: Eastlake III Donald-LDE008
Subject: Re: Suggestion for ECML draft?

> Your message should have been sent to the working group.
> May I forward it to the Working Group mailing list?

By all means, please do.

Also, I've found some extra information for you about Switch since my
previous e-mail from their web site (wwww.switch.co.uk).  They're hardly
a "minority" card here:

· Launched in 1987
· UK's leading debit card scheme
· 30 UK banks & building societies in membership
· Accounts for nearly 1 in 3 of all UK card payments
· 1.3 billion transactions in 2001, equivalent to 44 transactions every
second
· 22.1 million Switch cards in issue
· An additional 6.3 million Solo debit cards in issue
· Accepted by 595,000 outlets throughout the UK

regards,

Ray

--
Ray Bellis, MA(Oxon) - Technical Director
community internet plc - ts.com Ltd

Windsor House, 12 High Street, Kidlington, Oxford, OX5 2PJ
tel:  +44 1865 856000   email: [email-masked]
fax:  +44 1865 856001     web: http://www.community.net.uk/

Date: Wed, 27 Nov 2002 08:25:47 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: Working Group Last Call draft-ietf-trade-ecml2-spec-06.txt
To: [email-masked]

As agreed in Atlanta, I'm starting a two week working group last call on
this draft ending 11 December.

Thanks,
Donald
===================================
 Donald E. Eastlake 3rd                       [email-masked]
 155 Beaver Street              +1-508-634-2066(h) +1-508-851-8280(w)
 Milford, MA 01757 USA                   [email-masked]

---------- Forwarded message ----------
Date: Wed, 27 Nov 2002 08:05:58 -0500
From: [email-masked]
To: IETF-Announce:  ;
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-spec-06.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Specification
	Author(s)	: D. Eastlake
	Filename	: draft-ietf-trade-ecml2-spec-06.txt
	Pages		: 23
	Date		: 2002-11-26
	
Electronic commerce frequently requires a substantial exchange of
information in order to complete a purchase or other transaction,
especially the first time the parties communicate. A standard set of
hierarchicly organized payment related information fields in an XML
syntax are defined as the second version of an Electronic Commerce
Modeling Language (ECML) so that this task can be more easily
automated, for example by wallet software

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-06.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-spec-06.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Date: Wed, 27 Nov 2002 08:05:58 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-spec-06.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_fvUy9syWBKxJBtGDrwMWIw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Specification
	Author(s)	: D. Eastlake
	Filename	: draft-ietf-trade-ecml2-spec-06.txt
	Pages		: 23
	Date		: 2002-11-26
	
Electronic commerce frequently requires a substantial exchange of
information in order to complete a purchase or other transaction,
especially the first time the parties communicate. A standard set of
hierarchicly organized payment related information fields in an XML
syntax are defined as the second version of an Electronic Commerce
Modeling Language (ECML) so that this task can be more easily
automated, for example by wallet software

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-06.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-spec-06.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-spec-06.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_fvUy9syWBKxJBtGDrwMWIw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_IZn7bfBVPkRYqj2Vzw6jTQ)"

--Boundary_(ID_IZn7bfBVPkRYqj2Vzw6jTQ)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-spec-06.txt

--Boundary_(ID_IZn7bfBVPkRYqj2Vzw6jTQ)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-ecml2-spec-06.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_IZn7bfBVPkRYqj2Vzw6jTQ)--

--Boundary_(ID_fvUy9syWBKxJBtGDrwMWIw)--

Date: Tue, 19 Nov 2002 16:44:02 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: TRADE WG meeting in Atlanta
To: [email-masked]

The slides from the meeting are available as a powerpoint file at
http://www.iotp.org/2002/November-Atlanta/trade-presentation.ppt

The draft minutes are pasted below.

Donald
===================================
 Donald E. Eastlake 3rd                       [email-masked]
 155 Beaver Street              +1-508-634-2066(h) +1-508-851-8280(w)
 Milford, MA 01757 USA                   [email-masked]

IETF TRADE Draft Minutes
18 November 2002, Atlanta, Georgia
Donald E. Eastlake 3rd Chair

Agenda Bashing

No change from agenda distributed in advance.

Document Status

The status of the RFCs produced, 5 IESG approved drafts, and
4 draft currently in the working group was reviewed. The IESG
approved drafts were all approved quite recently.

ECML V2 Specification

ECML v1	and v1.1 were produced before the working group took
change control for ECML and have been published as
Informational RFCs. The ECML V2 requirements have been
approved by the IESG and will be published as an Informational
RFC. The V2 specification is almost ready for working group
last call. The minor changes made in the last three draft
versions (-03, -04, and -05) were reviewed. One field that
should have been added (Ecom_Loyalty_Card_Type) and will be
added to produce a -06 draft that will be working group last
called.

IOTP Use of DNS SRV RR

The motivation for draft-ietf-trade-srv-higher-services-00.txt
was described. It permits declaration within the DNS of where
to go for higher level services the way that SRV (RFC 2782)
and MX do for lower level services. While it reserves the
token "IOTP" for the use of IOTP, an additional small IOTP
document is required to specify how to use and extend this
token for the iotp-merchant, iotp-payment, iotp-delivery,
and iotp-care roles.

XML Voucher Update

The voucher requirements document has been approved by the IESG
for publication as an Informational RFC. The Voucher Language
and Voucher Transfer System API documents, by Ko Fujimura, who
was unable to make it to this IETF meeting, are being refined
by the Working Group. There is some indication of adoption of
voucher in the Infrared Data Association. NTT has developed a
C version of the API but the working group members present did
not seem to think it was important for it to be published.

SCCD and IOTP V2

Two work items are overdue. They are Secure Channel Credit Debit
and IOTP version 2. We do not have a draft for either and need
authors. Anyone willing to work on this should contact the WG
chair. SCCD, if done based on ECML, should be a medium-small
size task. IOTP V2 is a large task but could be broken up into
pieces. If no one is willing to do the documents, they won't
happen.

It is expected that the next WG meeting will be at the IETF
meeting in San Francisco, March 2003.

Date: Fri, 15 Nov 2002 08:55:57 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: Many TRADE drafts approved!!
To: [email-masked]

Great news. A whole bunch of our documents, many of which have been in 
the IESG's hands for a long time, have been approved. In particular

    o Payment API for v1.0 Internet Open Trading Protocol (IOTP)
      (Informational)
        <draft-ietf-trade-iotp-v1.0-papi-05.txt>
    o SET Supplement for the v1.0 Internet Open Trading Protocol (IOTP)
      (Informational)
        <draft-ietf-trade-iotp-v1.0-set-02.txt>
    o Requirements and Design for Voucher Trading System (VTS)
      (Informational)
        <draft-ietf-trade-drt-requirements-04.txt>
    o Electronic Commerce Modeling Language (ECML):Version 2 Requirements
      (Informational)
        <draft-ietf-trade-ecml2-req-05.txt>
    o Internet Open Trading Protocol (IOTP) Version 1, Errata
      (Informational)
        <draft-ietf-trade-iotp-v1-errata-01.txt>

have been passed by the IESG except that they request a small IANA
considerations section for -iotp-v1.0-set-02 which I will take care of.

This just happened yesterday so they are not actually in the on-line 
version of the RFC Editor's queue yet but that should happen soon.

	Donald

Content-return: allowed
Date: Tue, 12 Nov 2002 16:45:36 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: TRADE WG Agenda (Atlanta)
To: "[email-masked]'" <[email-masked]>

TRADE WG Draft Agenda, Atlanta (MONDAY, November 18, 2002)

13:00   Agenda Bashing

13:10   Documents Status

13:20   ECML V2 Specification
		Ecom_Loyalty_Card_Type
		draft-ietf-trade-ecml2-spec-05.txt

13:35   IOTP use of DNS SRV RR
		IOTP Tokens
		draft-ietf-trade-srv-higher-services-00.txt

13:50   Voucher update
		draft-ietf-trade-voucher-vtsapi-03.txt

14:00   SCCD and IOTP v2, the search for authors
		RFC 3354

14:20   Future Actions/Meetings

Content-return: allowed
Date: Tue, 12 Nov 2002 11:32:00 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: RE: Loylaty card brand in ECMLv2 spec 5
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]

My apologies. I have taken over editing this document and I think there was a version skew problem at one point so that change was lost. I'll bring this up at the meeting in Atlanta and expect to add it and post a new draft right after that meeting.

By the way, I've added footnotes for the merchant to processor fields I could figure out from ISO 8583 (page 7 of the Internet Draft). Anyone who can tell me what the definition of the un-footnoted fields, like Ecom_Transaction_Reference_ID or Ecom_Transaction_ResponseData is, I'd appreciate it. I believe these fields were added at the request of American Express when Jon Parsons was editing the document.

Donald

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, November 12, 2002 6:43 AM
To: [email-masked]
Cc: Eastlake III Donald-LDE008
Subject: Loylaty card brand in ECMLv2 spec 5

Hi alls,

I would propose -- or remind as I have proposed this ealrier -- that loyalty card also has brand or type field. Ecom_Loyalty_Card_Type, length 20, would contain a user reconizable brand name for the loyalty card.

For most cases the web shop would only accept it's own loyalty card and thus only need the loyalty card number to check the card. Butmore and more co-branding is used in shops, so that the shop accepts two or more loyalty card programs, for example flight companies and car rentals share each others loalty programs. In those cases also he brand of the card needs to be given so that correct lohylaty database can be queried and points updated. 

Sincerely,
- Lauri Piikivi 
-------------------------------------------------------- 
Specialist, SW Architecture 
Nokia Mobile Software

[email-masked] 
phone: +358 7180 47045 
mobile:+358 40 559 7045 
-------------------------------------------------------- 

Date: Tue, 12 Nov 2002 13:42:50 +0200
From: [email-masked]
Subject: Loylaty card brand in ECMLv2 spec 5
To: [email-masked]
Cc: [email-masked]
content-class: urn:content-classes:message

Hi alls,

I would propose -- or remind as I have proposed this ealrier -- that loyalty card also has brand or type field. Ecom_Loyalty_Card_Type, length 20, would contain a user reconizable brand name for the loyalty card.

For most cases the web shop would only accept it's own loyalty card and thus only need the loyalty card number to check the card. Butmore and more co-branding is used in shops, so that the shop accepts two or more loyalty card programs, for example flight companies and car rentals share each others loalty programs. In those cases also he brand of the card needs to be given so that correct lohylaty database can be queried and points updated. 

Sincerely,
- Lauri Piikivi 
-------------------------------------------------------- 
Specialist, SW Architecture 
Nokia Mobile Software

[email-masked] 
phone: +358 7180 47045 
mobile:+358 40 559 7045 
-------------------------------------------------------- 

Date: Thu, 07 Nov 2002 15:11:40 -0500
From: The IESG <[email-masked]>
Subject: Note Well Statement
Sender: [email-masked]
To: All IETF Working Groups: ;

From time to time, especially just before a meeting, this statement is to
be sent to each and every IETF working group mailing list.
=====================================
                                NOTE WELL

All statements related to the activities of the IETF and addressed to the
IETF are subject to all provisions of Section 10 of RFC 2026, which grants
to the IETF and its participants certain licenses and rights in such
statements.

Such statements include verbal statements in IETF meetings, as well as
written and electronic communications made at any time or place, which are
addressed to

    - the IETF plenary session,
    - any IETF working group or portion thereof,
    - the IESG, or any member thereof on behalf of the IESG,
    - the IAB or any member thereof on behalf of the IAB,
    - any IETF mailing list, including the IETF list itself,
      any working group or design team list, or any other list
      functioning under IETF auspices,
    - the RFC Editor or the Internet-Drafts function

Statements made outside of an IETF meeting, mailing list or other function,
that are clearly not intended to be input to an IETF activity, group or
function, are not subject to these provisions.

Date: Thu, 07 Nov 2002 06:24:56 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-spec-05.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_8YApf4zCNXnOMU8VO/N8hQ)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Specification
	Author(s)	: J. Parsons, D. Eastlake
	Filename	: draft-ietf-trade-ecml2-spec-05.txt
	Pages		: 23
	Date		: 2002-11-6
	
Electronic commerce frequently requires a substantial exchange of
information in order to complete a purchase or other transaction,
especially the first time the parties communicate. A standard set of
hierarchicly organized payment related information fields in an XML
syntax are defined as the second version of an Electronic Commerce
Modeling Language (ECML) so that this task can be more easily
automated, for example by wallet software

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-05.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-spec-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-spec-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_8YApf4zCNXnOMU8VO/N8hQ)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_FtP2G0VV+gGENdqXy+1XRA)"

--Boundary_(ID_FtP2G0VV+gGENdqXy+1XRA)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-spec-05.txt

--Boundary_(ID_FtP2G0VV+gGENdqXy+1XRA)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-ecml2-spec-05.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_FtP2G0VV+gGENdqXy+1XRA)--

--Boundary_(ID_8YApf4zCNXnOMU8VO/N8hQ)--

Content-return: allowed
Date: Tue, 05 Nov 2002 12:20:59 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: TRADE WG Agenda Draft (Atlanta)
To: "[email-masked]'" <[email-masked]>

TRADE WG Draft Agenda, Atlanta (MONDAY, November 18, 2002)

13:00   Agenda Bashing

13:10   Documents Status

13:20   ECML V2 Specification
		draft-ietf-trade-ecml2-spec-05.txt

13:35   IOTP use of DNS SRV RR
		draft-ietf-trade-srv-higher-services-00.txt

13:50   Voucher update
		draft-ietf-trade-voucher-vtsapi-03.txt

14:00   SCCD and IOTP v2, the search for authors
		   RFC 3354

14:20   Future Actions/Meetings

Content-return: allowed
Date: Fri, 01 Nov 2002 14:51:18 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: TRADE WG meeting November
To: "[email-masked]'" <[email-masked]>

The schedule is now frozen and we are still scheduled from
1-3pm Monday afternoon.

Donald

-----Original Message-----
From: Eastlake III Donald-LDE008 
Sent: Tuesday, October 08, 2002 11:51 AM
To: [email-masked]
Subject: TRADE WG meeting November

The TRADE WG meeting at the 55th IETF meeting in Atlanta,
Georgia, has been tentatively scheduled for Monday afternoon,
November 18th. This is subject to change.

Please send me any agenda suggestions.

Thanks,
Donald
==============================Donald E. Eastlake 3rd
155 Beaver Street, Milford, MA 01757 USA
[email-masked] 1-508-634-2066(h) 1-508-851-8280(w)